.gl-pagination {
  @include gl-font-base;

  a {
    @include gl-text-gray-900;
  }

  .page-link {
    @include gl-border-gray-400;
    @include gl-line-height-normal;

    &:not(.active):hover {
      @include gl-text-gray-900;
      @include gl-bg-gray-200;
      @include new-gl-button-secondary-hover($gray-400);
      @include gl-z-index-0;
    }
  }

  &:not(.pagination-lg):not(.pagination-sm) .page-link {
    @include gl-px-4;
    @include gl-py-3;

    &.prev-page-item,
    &.next-page-item {
      @include gl-px-3;
    }
  }

  .page-item {
    &:not(.disabled) a.active {
      @include gl-bg-blue-500;
      @include gl-border-blue-600;
      @include gl-z-index-2;
    }

    &.disabled .page-link {
      @include gl-bg-gray-50;
      @include gl-border-gray-400;
      @include gl-text-gray-600;
    }
  }

  .prev-page-item,
  .next-page-item {
    .gl-icon {
      vertical-align: bottom;
    }
  }
}

@include media-breakpoint-down(xs) {
  .gl-pagination:not(.custom-rendering) {
    .prev-page-item,
    .next-page-item {
      span {
        display: none;
      }
    }
  }
}
